<?php
    require('../../../wp-blog-header.php');
    @header("Content-type: text/css",true,200);
    require_once( plugin_dir_path( __FILE__ ) . 'init-options.php');
    global $gc_message_box_namespace;
    Gc_MessageBox_CF::set_prefix("Gc_MessageBox");
    $options = Gc_MessageBox_CF::create("Option_Repository_Factory")->get_instance()->get_namespace($gc_message_box_namespace);
    
    function generate_shadow($layout) {
        global $options;
        $layout = $options->get($layout)->get_value();
        if ( $options->get('text_shadow')->get_value() == "1") {
            switch($layout) {
                case "1":
                    return "text-shadow: 1px 1px 1px rgba(255,255,255,.3)";                
                case "2":
                    return "text-shadow: 1px 1px 1px rgba(0,0,0,.3)";
            }
        }
        return null;
    }
    
    function generate_gradient($layout) {
        global $options;
            return
                "filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='" .$options->get($layout.'2')->get_value(). "', endColorstr='" .$options->get($layout)->get_value(). "',GradientType=0);
        ".        "background: " .$options->get($layout)->get_value(). ";
        ".        "background: -moz-linear-gradient(top, " .$options->get($layout.'2')->get_value(). " 0%, ". $options->get($layout)->get_value(). " 100%);
        ".        "background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, " .$options->get($layout.'2')->get_value(). "), color-stop(100%, ".$options->get($layout)->get_value()."));
        ".        "background: -o-linear-gradient(top, " .$options->get($layout.'2')->get_value(). " 0%, " .$options->get($layout)->get_value(). " 100%);
        ".        "background: -ms-linear-gradient(top, " .$options->get($layout.'2')->get_value(). " 0%, " .$options->get($layout)->get_value(). " 100%);
        ".        "background: linear-gradient(to bottom, " .$options->get($layout.'2')->get_value(). " 0%, " .$options->get($layout)->get_value(). " 100%);
        ".        "background: -webkit-linear-gradient(top, " .$options->get($layout.'2')->get_value(). " 0%, " .$options->get($layout)->get_value(). " 100%);";
    }
?>

/* CONTENT */
.gc_message_box {
    <?php if($options->get("box_shadow")->get_value() == 1): ?>
        -webkit-box-shadow: 0 8px 6px -6px rgba(0,0,0,0.4);
        -moz-box-shadow: 0 8px 6px -6px rgba(0,0,0,0.4);
        box-shadow: 0 8px 6px -6px rgba(0,0,0,0.4);
    <?php endif; ?>
    -webkit-border-radius: <?php echo $options->get('box_corner_radius')->get_value(); ?>px;
    -moz-border-radius: <?php echo $options->get('box_corner_radius')->get_value(); ?>px;
    border-radius: <?php echo $options->get('box_corner_radius')->get_value(); ?>px;
    <?php echo generate_gradient('background_color'); ?>
}

.gc_message_box #gc_message_box_message {
    margin: 0 10px;
    color: <?php echo $options->get('message_color')->get_value() ?>;
    <?php echo generate_shadow('message_shadow', $gcmb); ?>;
    font-family: <?php echo $options->get('message_font')->get_value(); ?>;
    font-size: <?php echo $options->get('message_font_size')->get_value(); ?>;
    
}

.gc_message_box a {
    text-decoration: none;
}

.gc_message_box #gc_message_box_button #gc_message_box_buttontext {
    width: 100%;
    height: 100%;
    font-family: <?php echo $options->get('action_button_font')->get_value(); ?>;
    font-size: <?php echo $options->get('action_button_font_size')->get_value(); ?>;
}

.gc_message_box #gc_message_box_button #gc_message_box_buttontext:hover {
    padding-top: 5px;
}

.gc_message_box #gc_message_box_button {
    display: inline-block;
    text-align: center;
    height: 28px;
    line-height: 28px;
    padding: 0 10px;
    cursor: pointer;
    color: <?php echo $options->get('action_button_text_color')->get_value(); ?>;
    <?php if ($options->get('action_button_shadow')->get_value() == '1') : ?>
    -moz-box-shadow: 2px 2px 3px rgba(0,0,0,0.3);
    -webkit-box-shadow: 2px 2px 3px rgba(0,0,0,0.3);
    box-shadow: 2px 2px 3px rgba(0,0,0,0.3);
    <?php endif; ?>
    -webkit-border-radius: <?php echo $options->get('action_button_corner_radius')->get_value(); ?>px;
    -moz-border-radius: <?php echo $options->get('action_button_corner_radius')->get_value(); ?>px;
    border-radius: <?php echo $options->get('action_button_corner_radius')->get_value(); ?>px;
    border: 1px solid <?php echo $options->get('action_button_border_color')->get_value(); ?>;
    <?php echo generate_gradient('action_button_color', $gcmb); ?>
    <?php echo generate_shadow('button_shadow', $gcmb); ?>;
}

.gc_message_box #gc_message_box_button:hover {
    color: <?php echo $options->get('action_button_hover_text_color')->get_value(); ?>;
    border: 1px solid <?php echo $options->get('action_button_hover_border_color')->get_value(); ?>;
    <?php echo generate_gradient('action_button_hover', $gcmb); ?>
    <?php echo generate_shadow('button_hover_shadow', $gcmb); ?>;
}


/* ALIGNS */

/* CENTERED UNDER */
.<?php echo $gc_message_box_namespace;?>centered_under_msg { 
    text-align: center; 
    padding-bottom: 10px; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>centered_under_btn { 
    text-align: center; 
}

/* LEFT UNDER */
.<?php echo $gc_message_box_namespace;?>left_under_msg { 
    text-align: left; 
    padding-bottom: 10px; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>left_under_btn { 
    text-align: left; 
}

/* RIGHT UNDER */
.<?php echo $gc_message_box_namespace;?>right_under_msg { 
    text-align: right; 
    padding-bottom: 10px; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>right_under_btn { 
    text-align: right; 
}

/* LEFT INLINE */
.<?php echo $gc_message_box_namespace;?>right_inline_box {
    text-align: left; 
}
.<?php echo $gc_message_box_namespace;?>left_inline_box .gc_message_box_clear {
    clear: left;
}
.<?php echo $gc_message_box_namespace;?>left_inline_msg { 
    text-align: left; 
    display: inline; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>left_inline_btn { 
    float: left; 
    text-align: left; 
    display: inline; 
    padding-right: 10px; 
}

/* RIGHT INLINE */
.<?php echo $gc_message_box_namespace;?>right_inline_box {
    text-align: right;
}
.<?php echo $gc_message_box_namespace;?>right_inline_box .gc_message_box_clear {
    clear: left;
}
.<?php echo $gc_message_box_namespace;?>right_inline_msg {  
    text-align: right; 
    display: inline;
    line-height: 30px;
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>right_inline_btn { 
    float: right; 
    text-align: right;
    display: inline; 
    padding-left: 10px; 
}

/* LEFT RIGHT FAR */
.<?php echo $gc_message_box_namespace;?>left_right_far_box .gc_message_box_clear {
    clear: left;
}
.<?php echo $gc_message_box_namespace;?>left_right_far_msg { 
    float: right; 
    text-align: right; 
    display: inline; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>left_right_far_btn { 
    float: left;
    text-align: left; 
    display: inline; 
}

/* RIGHT LEFT FAR */
.<?php echo $gc_message_box_namespace;?>right_left_far_box .gc_message_box_clear {
    clear: left;
}
.<?php echo $gc_message_box_namespace;?>right_left_far_msg { 
    float: left; 
    text-align: left;
    display: inline; 
    line-height: 30px; 
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>right_left_far_btn { 
    float: right; 
    text-align: right; 
    display: inline; 
}

/* RIGHT LEFT CLOSE */
.<?php echo $gc_message_box_namespace;?>right_left_close_box { 
    text-align: center; 
}
.<?php echo $gc_message_box_namespace;?>right_left_close_msg { 
    padding-right: 10px; 
    display: inline;
    line-height: 30px;
    height: 30px; 
}
.<?php echo $gc_message_box_namespace;?>right_left_close_btn {
    display: inline;
}

/* LEFT RIGHT CLOSE */
.<?php echo $gc_message_box_namespace;?>left_right_close_box {
    text-align: center; 
}
.<?php echo $gc_message_box_namespace;?>left_right_close_msg {
    display: inline;
    line-height: 30px;
    height: 30px;
    padding-left: 10px;
}
.<?php echo $gc_message_box_namespace;?>left_right_close_btn {
    display: inline; 
}


/* END OF ALIGNS */