<?php
if(class_exists("Gc_MessageBox_Container_Renderer")){
    return;
}
abstract class Gc_MessageBox_Container_Renderer extends Gc_MessageBox_Abstract_Renderer{
    protected $items = array();
    protected $item_render_counter = 0;
   protected $group_descriptor = "";
    protected $callbacks = array(
        "on_before_render" => array(),
        "on_after_render"  => array(),
        "on_before_item_render" => array(),
        "on_after_item_render"  => array(),
    );
    public function add_callback($name,$cb){
        $cb_name = "on_".$name;
        if(!isset($this->callbacks[$cb_name])){
            return;
        }
        $this->callbacks[$cb_name][] = $cb;
    }

       public function render($gci) {
           $this->on_before_render();
           $this->item_render_counter = 0;
           foreach($this->items as $key => $desc){

               $this->on_before_item_render($key,$desc,$this->item_render_counter);
               $this->render_item($key,$desc,$this->item_render_counter);
               $this->on_after_item_render($key,$desc,$this->item_render_counter);
               $this->item_render_counter++;
           }

           $this->on_after_render();

       }

       abstract public function render_item($key,$description,$counter);

       public function on_before_render(){
           foreach ($this->callbacks['on_before_render'] as $cb) {
               call_user_func($cb);
           }
       }

       public function on_after_render(){
           foreach ($this->callbacks['on_after_render'] as $cb) {
               call_user_func($cb);
           }
       }


       public function on_before_item_render($key,$description,$counter){
           foreach ($this->callbacks['on_before_item_render'] as $cb) {
               call_user_func($cb,$key,$description,$counter);
           }
       }

       public function on_after_item_render($key,$description,$counter){
           foreach ($this->callbacks['on_after_item_render'] as $cb) {
               call_user_func($cb,$key,$description,$counter);
           }
       }


}

